summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Hunter Sezen <orbea@fredslev.dk>2018-04-01 08:00:31 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-04-01 08:00:31 +0700
commit771ba3845fcab41948dd96f37841f734916a7d48 (patch)
tree37444a7bf55e84ee6190fcc8b89b68f4fbaa74c9
parent5b0f979c48bf454038f2f064ec3ec2170ae08bf8 (diff)
downloadslackbuilds-771ba3845fcab41948dd96f37841f734916a7d48.tar.gz
slackbuilds-771ba3845fcab41948dd96f37841f734916a7d48.tar.xz
games/marathon-eternal-data: Script update.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--games/marathon-eternal-data/README9
-rw-r--r--games/marathon-eternal-data/marathon-eternal-data.SlackBuild16
2 files changed, 13 insertions, 12 deletions
diff --git a/games/marathon-eternal-data/README b/games/marathon-eternal-data/README
index 7f31d0b017..7cb31be705 100644
--- a/games/marathon-eternal-data/README
+++ b/games/marathon-eternal-data/README
@@ -17,8 +17,11 @@ and is a nearly total conversion, featuring:
* And several new creatures and characters, alongside the complete
cast from the original trilogy.
-Included in the package is a shell script wrapper. Type "marathon-eternal"
-or select Marathon Eternal X from the KDE or XFCE "Games" menu.
+Included in the package is a shell script wrapper. Type
+"marathon-eternal" or select Marathon Eternal X from the KDE or XFCE
+"Games" menu.
To install the gamedata in /opt instead of /usr to save space in the
-root partition use use OPT=yes ./marathon-eternal-data.SlackBuild
+root partition use use:
+
+ OPT=yes ./marathon-eternal-data.SlackBuild
diff --git a/games/marathon-eternal-data/marathon-eternal-data.SlackBuild b/games/marathon-eternal-data/marathon-eternal-data.SlackBuild
index 48a007448a..c80802f33b 100644
--- a/games/marathon-eternal-data/marathon-eternal-data.SlackBuild
+++ b/games/marathon-eternal-data/marathon-eternal-data.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for Marathon Eternal X
-# Copyright 2015 Hunter Sezen California, USA
+# Copyright 2015, 2018 Hunter Sezen California, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@
PRGNAM=marathon-eternal-data
VERSION=${VERSION:-1.1.0}
-SRCVER=$(echo $VERSION | tr -d .)
+SRCVER=$(printf %s "$VERSION" | tr -d .)
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -35,14 +35,13 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-set -e
+set -eu
# install gamedata in opt instead of usr
-OPT=${OPT:-no}
-if [ "${OPT:-yes}" == "yes" ]; then
- DATA="/opt/AlephOne"
+if [ "${OPT:-0}" != 0 ]; then
+ DATA='/opt/AlephOne'
else
- DATA="/usr/share/AlephOne/gamedata"
+ DATA='/usr/share/AlephOne/gamedata'
fi
ZIPNAME=EternalX
@@ -51,9 +50,8 @@ WRAPPER=marathon-eternal
DATADIR=$PKG$DATA
rm -rf $PKG
-mkdir -p $TMP $PKG $OUTPUT
+mkdir -p $TMP $PKG $OUTPUT $DATADIR
cd $TMP
-mkdir -p $DATADIR
unzip $CWD/$ZIPFILE -d $DATADIR
chown -R root:root $DATADIR